<?php

namespace App\Enums;

enum IconEnum: string
{
    // Sidebar Icons
    case DEFAULT         = 'heroicon-o-rectangle-stack';
    case INVOICE         = 'lucide-file-text';
    case ORDER           = 'lucide-shopping-cart';
    case QUOTE           = 'lucide-quote';
    case CUSTOMER        = 'lucide-building';
    case PACKING_SLIP    = 'lucide-package';
    case SHIPPING_ENTRY  = 'lucide-truck';
    case USER            = 'lucide-users';
    case TAX_RATE        = 'lucide-circle-dollar-sign';
    case PRODUCT_SERVICE = 'heroicon-o-rectangle';
    case CUSTOMER_SALES  = 'lucide-book-user';
    case INVOICE_REPORT  = 'lucide-file-spreadsheet';

    case DISTRIBUTE_PAYMENTS = 'lucide-rotate-cw';

    // Tabs
    case TAB_ALL     = 'lucide-layout-grid';
    case TAB_OVERDUE = 'lucide-calendar-clock';

    // Action Icons
    case PRINT = 'lucide-printer';
    case TRASH = 'lucide-trash-2';
    case SAVE  = 'lucide-save';
    case COPY  = 'lucide-copy';
    case NEW   = 'lucide-plus';

    // Invoice Status
    case UNPAID         = 'lucide-circle-x';
    case PARTIALLY_PAID = 'lucide-circle-minus';
    case PAID           = 'lucide-circle-check';
    case VOID           = 'lucide-circle-slash';

    // Order Attributes
    case NEW_ART       = 'lucide-brush';
    case REPEAT        = 'lucide-files';
    case RUSH          = 'lucide-bell-ring';
    case EVENT         = 'lucide-calendar-range';
    case DIGITIZING    = 'lucide-computer';
    case GARMENTS      = 'lucide-shirt';
    case SUPPLIED_FILE = 'lucide-file-check';

    // Order Status
    case DRAFT      = 'lucide-pencil';
    case APPROVED   = 'lucide-check-check';
    case PRODUCTION = 'lucide-refresh-cw';
    case SHIPPED    = 'lucide-send';
    case INVOICED   = 'lucide-credit-card';

    // Shipping Types (THEY_SHIP => SHIPPING_ENTRY)
    case WE_SHIP        = 'lucide-house';
    case PICKUP         = 'lucide-handshake';
    case SHIPPING_OTHER = 'lucide-ellipsis';
}
